#!/bin/sh
echo 'name: feldspar-compiler
version: 0.4.0.2
id: feldspar-compiler-0.4.0.2-9510018d6c4a8ba2b51acb4cc750a86c

license: BSD3
copyright: Copyright (c) 2009-2011, ERICSSON AB
maintainer: deva@inf.elte.hu
stability: experimental
homepage: http://feldspar.inf.elte.hu/feldspar/
package-url:
description: Feldspar (**F**unctional **E**mbedded **L**anguage for **DSP**
             and **PAR**allelism) is an embedded DSL for describing digital
             signal processing algorithms.
             This library (FeldsparCompiler) contains a prototype compiler
             that supports C code generation from programs written in this
             language both according to ANSI C and also targeted to a real
             DSP HW.
category: Compiler
author: Feldspar group,
        Eotvos Lorand University Faculty of Informatics
pkgpath: lang/feldspar/compiler
exposed: True
exposed-modules: Feldspar.Compiler.Imperative.Representation
                 Feldspar.Compiler.Imperative.FromCore
                 Feldspar.Compiler.Imperative.Frontend
                 Feldspar.Compiler.Imperative.TransformationInstance
                 Feldspar.Compiler.Imperative.Plugin.ConstantFolding
                 Feldspar.Compiler.Imperative.Plugin.Unroll
                 Feldspar.Compiler.Imperative.Plugin.Naming
                 Feldspar.Compiler.Backend.C.CodeGeneration
                 Feldspar.Compiler.Backend.C.Plugin.PrettyPrint
                 Feldspar.Compiler.Backend.C.Plugin.Locator
                 Feldspar.Compiler.Backend.C.Plugin.HandlePrimitives
                 Feldspar.Compiler.Backend.C.Plugin.BlockProgramHandler
                 Feldspar.Compiler.Backend.C.Plugin.TypeCorrector
                 Feldspar.Compiler.Backend.C.Plugin.TypeDefinitionGenerator
                 Feldspar.Compiler.Backend.C.Plugin.VariableRoleAssigner
                 Feldspar.Compiler.Backend.C.Plugin.AllocationEliminator
                 Feldspar.Compiler.Backend.C.Library
                 Feldspar.Compiler.Backend.C.Options
                 Feldspar.Compiler.Backend.C.Platforms
                 Feldspar.Compiler.Frontend.CommandLine.API.Library
                 Feldspar.Compiler.Frontend.CommandLine.API.Constants
                 Feldspar.Compiler.Frontend.CommandLine.API.Options
                 Feldspar.Compiler.Frontend.CommandLine.API
                 Feldspar.Compiler.Compiler Feldspar.Compiler.Error
                 Feldspar.Compiler Feldspar.Transformation
                 Feldspar.Transformation.Framework Feldspar.NameExtractor
hidden-modules:
import-dirs: /usr/local/lib/ghc/feldspar-compiler-0.4.0.2
library-dirs: /usr/local/lib/ghc/feldspar-compiler-0.4.0.2
hs-libraries: HSfeldspar-compiler-0.4.0.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/lib/ghc/feldspar-compiler-0.4.0.2/include
includes:
depends: MonadCatchIO-mtl-0.3.0.4-d2dba4754f14d16f9561e6570f2b735d
         ansi-terminal-0.5.5-572a1d0154fb2632bb4e9431adf0cdb1
         base-4.3.1.0-4365831fa9af03083be195ed161cbbc1
         containers-0.4.0.0-b4885363abca642443ccd842502a3b7e
         directory-1.1.0.0-0764d4838863123df574e64d163bd619
         feldspar-language-0.4.0.2-2b60bdb991b7bf59c8e8d0b4c0237c5a
         filepath-1.2.0.0-b4f4cf7e95546b00f075372f0ccb0653
         haskell-src-exts-1.11.1-72cffad68421f36277fe785095c7710b
         hint-0.3.3.2-9dbd60b6b2405cbe434a30a51e8a5408
         mtl-2.0.1.0-5b7a9cce5565d8cc8721ba4f95becf1b
         process-1.0.1.5-da4848a2eec47420cd09fe9edba7e83c
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-feldspar-compiler-0.4.0.2/html/feldspar-compiler.haddock
haddock-html: /usr/local/share/doc/hs-feldspar-compiler-0.4.0.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
